image: node:latest

cache:
  paths:
    - node_modules/

stages:
  - test

test:
  stage: test
  script:
    - npm install
    - npm test
  artifacts:
    when: on_success
    paths:
      - junit.xml
